Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class EclipsePlugin

    java.lang.Object
      org.gradle.api.plugins.EclipsePlugin

All Implemented Interfaces:
  Plugin

    public class EclipsePlugin

extends java.lang.Object
implements Plugin

A `Plugin` which generates Eclipse project files for projects that use the `JavaPlugin` or the `WarPlugin`.

Field Summary
`static java.lang.String` | `ECLIPSE_CLEAN_TASK_NAME`
`static java.lang.String` | `ECLIPSE_CP_TASK_NAME`
`static java.lang.String` | `ECLIPSE_PROJECT_TASK_NAME`
`static java.lang.String` | `ECLIPSE_TASK_NAME`
`static java.lang.String` | `ECLIPSE_WTP_MODULE_TASK_NAME`
`static java.lang.String` | `ECLIPSE_WTP_TASK_NAME`

Constructor Summary
`EclipsePlugin()`

Method Summary
`protected org.gradle.api.plugins.JavaPluginConvention` | `java(Convention convention)`
`void` | `use(Project project, ProjectPluginsContainer projectPluginsHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ECLIPSE_TASK_NAME

    public static final java.lang.String ECLIPSE_TASK_NAME

See Also:
  Constant Field Values

### ECLIPSE_CLEAN_TASK_NAME

    public static final java.lang.String ECLIPSE_CLEAN_TASK_NAME

See Also:
  Constant Field Values

### ECLIPSE_PROJECT_TASK_NAME

    public static final java.lang.String ECLIPSE_PROJECT_TASK_NAME

See Also:
  Constant Field Values

### ECLIPSE_WTP_TASK_NAME

    public static final java.lang.String ECLIPSE_WTP_TASK_NAME

See Also:
  Constant Field Values

### ECLIPSE_CP_TASK_NAME

    public static final java.lang.String ECLIPSE_CP_TASK_NAME

See Also:
  Constant Field Values

### ECLIPSE_WTP_MODULE_TASK_NAME

    public static final java.lang.String ECLIPSE_WTP_MODULE_TASK_NAME

See Also:
  Constant Field Values

Constructor Detail

### EclipsePlugin

    public EclipsePlugin()

Method Detail

### use

    public void use(Project project,
                    ProjectPluginsContainer projectPluginsHandler)

  Specified by:
    `use` in interface `Plugin`

### java

    protected org.gradle.api.plugins.JavaPluginConvention java(Convention convention)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD